# std::basic_string_view<CharT,Traits>::ends_with

From cppreference.com
< cpp‎ | string‎ | basic string view

constexpr bool ends_with(basic_string_view x) const noexcept; | (1) | (since C++20)
constexpr bool ends_with(CharT x) const noexcept; | (2) | (since C++20)
constexpr bool ends_with(const CharT* x) const; | (3) | (since C++20)

Checks if the string view ends with the given suffix, where

1) the suffix is a string view. Effectively returns size() >= x.size() && compare(size() - x.size(), npos, x) == 0
2) the suffix is a single character. Effectively returns !empty() && Traits::eq(back(), x)
3) the suffix is a C-style string. Effectively returns ends_with(basic_string_view(x))

### Parameters

x | - | a character sequence or a single character to compare to the end of the string view

### Return value

true if the string view ends with the provided suffix, false otherwise.

### Example

| This section is incomplete Reason: no example

### See also

starts_with (C++20) | checks if the string view starts with the given prefix (public member function)
starts_with (C++20) | checks if the string starts with the given prefix (public member function of `std::basic_string<CharT,Traits,Allocator>`)
ends_with (C++20) | checks if the string ends with the given suffix (public member function of `std::basic_string<CharT,Traits,Allocator>`)
compare | compares two views (public member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/string/basic_string_view/ends_with&oldid=110797"